Page MenuHomePhabricator

Driver: Fix include and lib dirs when not using gcc under mingw
ClosedPublic

Authored by martell on Aug 6 2015, 11:07 AM.

Event Timeline

martell updated this revision to Diff 31458.Aug 6 2015, 11:07 AM
martell retitled this revision from to Driver: Fix include and lib dirs when not using gcc under mingw.
martell updated this object.
martell added a reviewer: yaron.keren.
martell added a subscriber: cfe-commits.
yaron.keren accepted this revision.Aug 6 2015, 11:14 AM
yaron.keren edited edge metadata.

This LGTM after modifying test/Driver/mingw.cpp to test for this, i.e. create a Inputs/no_gcc_tree/usr directory tree without the gcc dirs, point sysroot and check the output directories. It's mostly copy & paste from one of the existing cases.

This revision is now accepted and ready to land.Aug 6 2015, 11:14 AM
martell updated this revision to Diff 32007.Aug 12 2015, 5:14 PM
martell edited edge metadata.

Updated to address yaron's comments.

Okay for me to merge now ?

Yes, go ahead.

This revision was automatically updated to reflect the committed changes.

Hi Hans,

Is this bugfix something that can be merged into 3.7 ?

Kind Regards
Martell

martell added a subscriber: hans.Aug 13 2015, 8:28 PM